package com.example;

import java.util.*;

/**
 * This class is what gets created from a mapped Schema. It
 * describes a Subscriber.
 */
public class Subscriber
{

	private String firstName;
	private String lastName;
	private String birthDate;
	private String phoneNumber;
	
	public void setFirstName(String newName)
	{
		firstName = newName;
	}
	
	public String getFirstName()
	{
		return firstName;
	}
	
	public void setLastName(String newName)
	{
		lastName = newName;
	}
	
	public String getLastName()
	{
		return lastName;
	}
	
	public void setBirthDate(String newDate)
	{
		birthDate = newDate;
	}
	
	public String getBirthDate()
	{
		return birthDate;
	}
	
	public void setPhoneNumber(String newPhone)
	{
		phoneNumber = newPhone;
	}
	
	public String getPhoneNumber()
	{
		return phoneNumber;
	}
	
	/**
	 * This method was added specifically to support Schema mapping
	 * when the data needs to be massaged. This specific case splits
	 * a proper name into its two parts.
	 */
	public void splitName(String newName)
	{
		int found = newName.indexOf(" ");
		if (found > 0)
		{
			this.firstName = newName.substring(0, found);
			this.lastName = newName.substring(found + 1);
		}
	}
			
	/**
	 * Overide toString() to print out class
	 */
	public String toString()
	{
		StringBuffer buf = new StringBuffer();
		
		buf.append("com.example.Subscriber class\n\n");
		buf.append("FirstName: ");
		buf.append(this.firstName);
		buf.append("\nLastName: ");
		buf.append(this.lastName);
		buf.append("\nBirth Date: ");
		buf.append(this.birthDate);
		buf.append("\nPhone Number: ");
		buf.append(this.phoneNumber);
		
		return buf.toString();
	}

}

