package com.example.schemamapper;

public class MapInfo
{
	// Support both property access as well as method access
	public static final int MI_PROPERTY = 1;
	public static final int MI_METHOD = 2;
	
	// This would include all XML Schema built in data types
	// and would be used for a type conversion library.
	public static final int XSI_STRING = 1;
	public static final int XSI_DATE = 2;
	
	private String xPath;		// Path of the node in XPath notation
	private String miName;		// Name of method or property to be called
	private int miType;			// Method or Property
	private int miSchemaType;	// XML Schema data type
	
	MapInfo()
	{
		xPath = null;
		miName = null;
		miType = 0;
		miSchemaType = 1;
	}
	
	public String getPath()
	{
		return xPath;
	}
	
	public void setPath(String newPath)
	{
		xPath = newPath;
	}
		
	public String getName()
	{
		return miName;
	}
	
	public void setName(String newName)
	{
		miName = newName;
	}
	
	public void setType(int newType)
	{
		if ((newType >= MapInfo.MI_PROPERTY) && (newType <= MapInfo.MI_METHOD))
			miType = newType;
	}
	
	public void setType(String newType)
	{
		if (newType.compareTo("Property") == 0)
			miType = MapInfo.MI_PROPERTY;
		else if (newType.compareTo("Method") == 0)
			miType = MapInfo.MI_METHOD;
	}
	
	public int getType()
	{
		return miType;
	}
	
	public void setSchemaType(int newType)
	{
		if ((newType >= MapInfo.XSI_STRING) && (newType <= MapInfo.XSI_DATE))
			miSchemaType = newType;
	}
	
	public void setSchemaType(String newType)
	{
		if (newType.compareTo("xsi:string") == 0)
			miSchemaType = MapInfo.XSI_STRING;
		else if (newType.compareTo("xsi:date") == 0)
			miSchemaType = MapInfo.XSI_DATE;
	}
	
	public int getSchemaType()
	{
		return miSchemaType;
	}
											  
}
